VERSION 4.00
Begin VB.Form frmFIPerform 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "First Impression v2.0 - Performance Test"
   ClientHeight    =   6450
   ClientLeft      =   1365
   ClientTop       =   1545
   ClientWidth     =   6045
   Height          =   6855
   Icon            =   "FI-PERF.frx":0000
   Left            =   1305
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6450
   ScaleWidth      =   6045
   Top             =   1200
   Width           =   6165
   Begin VB.Frame frPoints 
      Caption         =   "Number of Points to Plot"
      Height          =   735
      Left            =   1200
      TabIndex        =   7
      Top             =   5640
      Width           =   3615
      Begin VB.OptionButton optPoints 
         Caption         =   "500"
         Height          =   255
         Index           =   3
         Left            =   2760
         TabIndex        =   11
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "250"
         Height          =   255
         Index           =   2
         Left            =   1920
         TabIndex        =   10
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "100"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   9
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "50"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   8
         Top             =   360
         Value           =   -1  'True
         Width           =   735
      End
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   615
      Left            =   5040
      TabIndex        =   2
      Top             =   5760
      Width           =   975
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start"
      Height          =   615
      Left            =   50
      TabIndex        =   1
      Top             =   5760
      Width           =   930
   End
   Begin VB.Label lblTotalLoops 
      Caption         =   "0"
      Height          =   255
      Left            =   4080
      TabIndex        =   6
      Top             =   5280
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.Label lblTLoops 
      Alignment       =   1  'Right Justify
      Caption         =   "Total Iterations:  "
      Height          =   255
      Left            =   2880
      TabIndex        =   5
      Top             =   5280
      Visible         =   0   'False
      Width           =   1200
   End
   Begin VB.Label lblElapsed 
      Alignment       =   1  'Right Justify
      Caption         =   "Elapsed Time:  "
      Height          =   255
      Left            =   1250
      TabIndex        =   4
      Top             =   5280
      Width           =   1200
   End
   Begin VB.Label lblElapsedTime 
      Caption         =   "0"
      Height          =   255
      Left            =   2450
      TabIndex        =   3
      Top             =   5280
      Width           =   255
   End
   Begin VCIFiLib.VtChart VtChart1 
      Height          =   5175
      Left            =   45
      TabIndex        =   0
      Top             =   45
      Width           =   5970
      _version        =   65536
      _extentx        =   10530
      _extenty        =   9128
      _stockprops     =   96
      borderstyle     =   1
      filename        =   "FI-PERF.frx":030A
   End
End
Attribute VB_Name = "frmFIPerform"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
'**********************************************************************
'* (c) Copyright 1996, KL GROUP INC.                                  *
'* ALL RIGHTS RESERVED                                                *
'*                                                                    *
'* This file is provided for demonstration and educational uses only. *
'* Permission to use, copy, modify and distribute this file for       *
'* any purpose and without fee is hereby granted, provided that the   *
'* above copyright notice and this permission notice appear in all    *
'* copies, and that the name of KL Group not be used in advertising   *
'* or publicity pertaining to this material without the specific,     *
'* prior written permission of an authorized representative of        *
'* KL Group.                                                          *
'*                                                                    *
'* KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-   *
'* PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT     *
'* NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND      *
'* FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-   *
'* FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE  *
'* SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR    *
'* ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY     *
'* LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES          *
'* RELATING TO THE USE OF THIS SOFTWARE.                              *
'**********************************************************************
Option Explicit
     
Dim ArrayRows As Integer                     ' Sets number of points to plot
Const ArrayCols As Integer = 6               ' Actually means 3 data sets

Const AngleIncrement As Single = 0.25        ' Value to increase the plot by each time
Const PI As Single = 3.14159264              ' The one and only PI

Dim TotalLoops As Integer                    ' Track how many times through the loop
Private Sub DrawPoints()
' Actually put the points into the graph and then draw them
   
Static x As Integer                 ' A counter
   
Static DataAngle#                   ' Value for calculating the graph data
Dim TotalTime As Integer            ' Values for tracking the amount of time that has passed
Dim CurrentTime As String
Dim StartTime As String
   
DataAngle = 0                       ' Start the values at zero
TotalLoops = 0

StartTime = Now                     ' Get the current time
cmdStart.Enabled = False            ' Disable the buttons on the form
cmdExit.Enabled = False
frPoints.Enabled = False
optPoints(0).Enabled = False
optPoints(1).Enabled = False
optPoints(2).Enabled = False
optPoints(3).Enabled = False
lblTotalLoops.Visible = False       ' Ensure the info about looping is hidden
lblTLoops.Visible = False
   
While TotalTime < 60                ' Keep looping until 60 seconds has passed
      
    VtChart1.Repaint = False        ' Batch all the updates to the chart
    
    ' Set the minimum value for the X-Axis
    VtChart1.Plot.Axis(VtChAxisIdX).ValueScale.Minimum = DataAngle
    
    With VtChart1.DataGrid
        For x = 1 To ArrayRows      ' Loop through all the points to be drawn
      
            DataAngle = DataAngle + AngleIncrement      ' Set the new value to use
            
            ' These lines actually put the data into the chart
            .SetData x, 1, (DataAngle), False
            .SetData x, 2, Sin(DataAngle), False
            .SetData x, 3, (DataAngle), False
            .SetData x, 4, Sin((DataAngle) + PI / 2), False
            .SetData x, 5, (DataAngle), False
            .SetData x, 6, Sin((DataAngle) - PI / 2), False
        Next x
    End With
    
    TotalLoops = TotalLoops + 1     ' Increment the counter
   
   ' Set the maximum value for the X-Axis
   '  (needs the .01 adjustment as the control does not allow min
   '  and max values to be the same)
    VtChart1.Plot.Axis(VtChAxisIdX).ValueScale.Maximum = DataAngle + 0.01
    
    VtChart1.Repaint = True         ' Let the chart update now

    CurrentTime = Now               ' Get the current time
    TotalTime = DateDiff("s", StartTime, CurrentTime)   ' Get the difference from when we started
    lblElapsedTime = TotalTime      ' Display the elapsed time
    lblElapsedTime.Refresh
   
Wend
        
cmdStart.Enabled = True             ' Re-enable the buttons
cmdExit.Enabled = True
frPoints.Enabled = True
optPoints(0).Enabled = True
optPoints(1).Enabled = True
optPoints(2).Enabled = True
optPoints(3).Enabled = True
lblTotalLoops = TotalLoops          ' Display the number of times we made it through the loop
lblTotalLoops.Visible = True
lblTLoops.Visible = True

End Sub
Private Sub cmdExit_Click()
' End the program

Unload Me

End Sub
Private Sub cmdStart_Click()
' Draw the points on the graph

DrawPoints
   
End Sub
Private Sub Form_Load()
' This is where it all begins

frmFIPerform.Top = 0                ' Start with the form in the upper left hand corner
frmFIPerform.Left = 0
   
' Set the number of points to draw
optPoints_Click (0)

' Set the draw mode to be as quick as possible
VtChart1.DrawMode = VtChDrawModeBlit

' Set up the chart itself
VtChart1.ChartType = VtChChartType2dXY

With VtChart1.Plot
   
    .UniformAxis = False
   
    'Disable Smoothing of the lines
    .SeriesCollection.Item(1).SmoothingType = VtSmoothingTypeNone
    .SeriesCollection.Item(2).SmoothingType = VtSmoothingTypeNone
    .SeriesCollection.Item(3).SmoothingType = VtSmoothingTypeNone
    .SeriesCollection.Item(4).SmoothingType = VtSmoothingTypeNone
    .SeriesCollection.Item(5).SmoothingType = VtSmoothingTypeNone
    .SeriesCollection.Item(6).SmoothingType = VtSmoothingTypeNone
             
    ' Set the line width to 1 for all the sets
    .SeriesCollection.Item(1).Pen.Width = 1
    .SeriesCollection.Item(2).Pen.Width = 1
    .SeriesCollection.Item(3).Pen.Width = 1
    .SeriesCollection.Item(4).Pen.Width = 1
    .SeriesCollection.Item(5).Pen.Width = 1
    .SeriesCollection.Item(6).Pen.Width = 1
End With
   
End Sub
Private Sub Form_Unload(Cancel As Integer)
' End the program

End

End Sub
Private Sub optPoints_Click(Index As Integer)
' The user has made a selection for the number of points to draw

Select Case Index
    Case 0
        ArrayRows = 50
    Case 1
        ArrayRows = 100
    Case 2
        ArrayRows = 250
    Case 3
        ArrayRows = 500
End Select

' Now that the user has chosen to change the number of points, we have
'  to tell the chart about it
VtChart1.DataGrid.SetSize 1, 1, ArrayRows, ArrayCols

End Sub
