VERSION 4.00
Begin VB.Form frmGSWPerform 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Graphics Server v4.0 - Performance Demo"
   ClientHeight    =   6480
   ClientLeft      =   1095
   ClientTop       =   660
   ClientWidth     =   6045
   Height          =   6885
   Left            =   1035
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6480
   ScaleWidth      =   6045
   Top             =   315
   Width           =   6165
   Begin VB.Frame frPoints 
      Caption         =   "Number of Points to Plot"
      Height          =   735
      Left            =   1200
      TabIndex        =   7
      Top             =   5640
      Width           =   3615
      Begin VB.OptionButton optPoints 
         Caption         =   "50"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   11
         Top             =   360
         Value           =   -1  'True
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "100"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   10
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "250"
         Height          =   255
         Index           =   2
         Left            =   1920
         TabIndex        =   9
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "500"
         Height          =   255
         Index           =   3
         Left            =   2760
         TabIndex        =   8
         Top             =   360
         Width           =   735
      End
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   615
      Left            =   5040
      TabIndex        =   2
      Top             =   5760
      Width           =   975
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start"
      Height          =   615
      Left            =   50
      TabIndex        =   1
      Top             =   5760
      Width           =   930
   End
   Begin VB.Label lblTotalLoops 
      Caption         =   "0"
      Height          =   255
      Left            =   4080
      TabIndex        =   6
      Top             =   5280
      Visible         =   0   'False
      Width           =   375
   End
   Begin VB.Label lblTLoops 
      Alignment       =   1  'Right Justify
      Caption         =   "Total Iterations:  "
      Height          =   255
      Left            =   2880
      TabIndex        =   5
      Top             =   5280
      Visible         =   0   'False
      Width           =   1200
   End
   Begin VB.Label lblElapsedTime 
      Caption         =   "0"
      Height          =   255
      Left            =   2450
      TabIndex        =   4
      Top             =   5280
      Width           =   255
   End
   Begin VB.Label lblElapsed 
      Alignment       =   1  'Right Justify
      Caption         =   "Elapsed Time:  "
      Height          =   255
      Left            =   1250
      TabIndex        =   3
      Top             =   5280
      Width           =   1200
   End
   Begin GraphLib.Graph Graph1 
      Height          =   5175
      Left            =   45
      TabIndex        =   0
      Top             =   45
      Width           =   5970
      _version        =   65536
      _extentx        =   10530
      _extenty        =   9128
      _stockprops     =   96
      borderstyle     =   1
      drawmode        =   3
      graphtype       =   6
      numpoints       =   2
      fontsize        =   "0~0~0~0"
   End
End
Attribute VB_Name = "frmGSWPerform"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
'**********************************************************************
'* (c) Copyright 1996, KL GROUP INC.                                  *
'* ALL RIGHTS RESERVED                                                *
'*                                                                    *
'* This file is provided for demonstration and educational uses only. *
'* Permission to use, copy, modify and distribute this file for       *
'* any purpose and without fee is hereby granted, provided that the   *
'* above copyright notice and this permission notice appear in all    *
'* copies, and that the name of KL Group not be used in advertising   *
'* or publicity pertaining to this material without the specific,     *
'* prior written permission of an authorized representative of        *
'* KL Group.                                                          *
'*                                                                    *
'* KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-   *
'* PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT     *
'* NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND      *
'* FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-   *
'* FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE  *
'* SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR    *
'* ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY     *
'* LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES          *
'* RELATING TO THE USE OF THIS SOFTWARE.                              *
'**********************************************************************
Option Explicit
   
Dim ArraySize As Integer                ' Holder for the number of points to plot
Const NumSets As Integer = 3            ' Sets the number of data sets

Const AngleIncrement As Single = 0.25   ' Value to increase the plot by each time
Const PI As Single = 3.14159264         ' The one and only

Dim TotalLoops As Integer               ' Track how many times through the loop
Dim r%                                  ' Value for the result of a function call
Private Sub DrawPoints()
' Actually put the points into the graph and then draw them
   
Static x As Integer                 ' A counter
   
Static DataAngle#, DataAngle1#, DataAngle2#     ' Values for calculating the graph data
Dim TotalTime As Integer            ' Values for tracking the amount of time that has passed
Dim StartTime As String
Dim CurrentTime As String

DataAngle = 0                       ' Start the values at zero
DataAngle1 = 0
DataAngle2 = 0
TotalLoops = 0

StartTime = Now                     ' Get the current time
cmdStart.Enabled = False            ' Disable the buttons on the form
cmdExit.Enabled = False
frPoints.Enabled = False
optPoints(0).Enabled = False
optPoints(1).Enabled = False
optPoints(2).Enabled = False
optPoints(3).Enabled = False
lblTotalLoops.Visible = False       ' Ensure the info about looping is hidden
lblTLoops.Visible = False


While TotalTime < 60                ' Keep looping until 60 seconds has passed
        
    'NOTE:  There is not batching function equivalent for this control
    
    Graph1.XAxisMin = DataAngle     ' Set the minimum value for the X-Axis

    For x = 1 To ArraySize          ' Loop through all the points to be drawn
        DataAngle = DataAngle + AngleIncrement      ' Set the new value to use
        Graph1.ThisSet = 1                          ' Set the current set
        Graph1.ThisPoint = x                        ' Set the current point
        Graph1.GraphData = Sin(DataAngle)           ' Add the new point (y-value)
        Graph1.ThisSet = 1                          ' Set the current set
        Graph1.ThisPoint = x                        ' Set the current point
        Graph1.XPosData = DataAngle                 ' Set the x-value
    Next x
    
    For x = 1 To ArraySize
        DataAngle1 = DataAngle1 + AngleIncrement
        Graph1.ThisSet = 2
        Graph1.ThisPoint = x
        Graph1.GraphData = Sin(DataAngle1 + PI / 2)
        Graph1.ThisSet = 2
        Graph1.ThisPoint = x
        Graph1.XPosData = DataAngle1
    Next x
    
    For x = 1 To ArraySize
        DataAngle2 = DataAngle2 + AngleIncrement
        Graph1.ThisSet = 3
        Graph1.ThisPoint = x
        Graph1.GraphData = Sin(DataAngle2 - PI / 2)
        Graph1.ThisSet = 3
        Graph1.ThisPoint = x
        Graph1.XPosData = DataAngle2
    Next x
    
    TotalLoops = TotalLoops + 1     ' Increment the counter
    
    Graph1.XAxisMax = DataAngle     ' Set the maximum value for the X-Axis

    Graph1.DrawMode = 3             ' Update the chart
    
    CurrentTime = Now               ' Get the current time
    TotalTime = DateDiff("s", StartTime, CurrentTime)   ' Get the difference from when we started
    lblElapsedTime = TotalTime      ' Display the elapsed time
    lblElapsedTime.Refresh
    
Wend
        
cmdStart.Enabled = True             ' Re-enable the buttons
cmdExit.Enabled = True
frPoints.Enabled = True
optPoints(0).Enabled = True
optPoints(1).Enabled = True
optPoints(2).Enabled = True
optPoints(3).Enabled = True
lblTotalLoops = TotalLoops          ' Display the number of times we made it through the loop
lblTotalLoops.Visible = True
lblTLoops.Visible = True

End Sub
Private Sub cmdExit_Click()
' End the program

Unload Me

End Sub
Private Sub cmdStart_Click()
' User wants to draw points

DrawPoints      ' Draw the points on the graph

End Sub
Private Sub Form_Load()
' It all starts here

' Start with the form in the upper left hand corner
frmGSWPerform.Top = 0
frmGSWPerform.Left = 0

r% = GSOpenServer("", "C")      ' Open the link to the Graphics Server

' Set the number of points
optPoints_Click (0)

' Setup the graph
Graph1.NumSets = NumSets

Graph1.XAxisStyle = 2           ' Set the X-Axis to user-defined
Graph1.YAxisStyle = 2           ' Set the Y-Axis to user-defined
Graph1.ThickLines = 0           ' Turn off thick lines
Graph1.PatternData = 0          ' Set the lines to be solid

End Sub
Private Sub Form_Unload(Cancel As Integer)
' End the program

r% = GSCloseServer()    ' Close the connection to the graphics server
End

End Sub
Private Sub optPoints_Click(Index As Integer)
' The user has chosen to select the number of points to draw

Select Case Index
    Case 0
        ArraySize = 50
    Case 1
        ArraySize = 100
    Case 2
        ArraySize = 250
    Case 3
        ArraySize = 500
End Select

Graph1.NumPoints = ArraySize

End Sub
