Attribute VB_Name = "GSDefs"
Option Explicit
    
Rem     GSWDEFS.TXT
Rem     Graphics Server Version 3
Rem     Prototypes of GS ver 3 functions for Visual Basic
Rem     (c) Bits Per Second Ltd, Brighton, England
Declare Function AG3DStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nDepth%, ByVal nXGap%, ByVal nZGap%) As Integer
Declare Function AGAmp Lib "GSWAG32.DLL" (ByVal nPts%, ByVal nGroup%, fAmp#) As Integer
Declare Function AGAmpError Lib "GSWAG32.DLL" (ByVal nPts%, ByVal nGroup%, fAmp#) As Integer
Declare Function AGAux Lib "GSWAG32.DLL" (ByVal nSize%, nAux%) As Integer
Declare Function AGCageStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nClrWall%, ByVal nClrSide%) As Integer
Declare Function AGClose Lib "GSWAG32.DLL" () As Integer
Declare Function AGClr Lib "GSWAG32.DLL" (ByVal nGroup%, nClr%) As Integer
Declare Function AGCurveStyle Lib "GSWAG32.DLL" (ByVal nType%, ByVal nOrder%, ByVal nSteps%) As Integer
Declare Function AGDataZ Lib "GSWAG32.DLL" (ByVal nPts%, fDataZ#) As Integer
Declare Function AGDist Lib "GSWAG32.DLL" (ByVal nPts%, nDist#) As Integer
Declare Function AGDistError Lib "GSWAG32.DLL" (ByVal nPts%, nDist#) As Integer
Declare Function AGErrorBar Lib "GSWAG32.DLL" (ByVal nSel%, ByVal nSymStyle%, ByVal nClr%, ByVal nErrSrc%, ByVal fValue#) As Integer
Declare Function AGFGColor Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nClr%) As Integer
Declare Function AGFFT Lib "GSWAG32.DLL" (ByVal nPts%, fData#, ByVal nMode%) As Integer
Declare Function AGFontStyle Lib "GSWAG32.DLL" (ByVal nUse%, ByVal nFamily%, ByVal nAttribs%, ByVal nSize%) As Integer
Declare Function AGGraphBG Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nClr%) As Integer
Declare Function AGGridStyle Lib "GSWAG32.DLL" (ByVal nSel%, ByVal nStyleMaj%, ByVal nStyleMin%) As Integer
Declare Function AGInfo Lib "GSWAG32.DLL" (ByVal nIndex%) As Double
Declare Function AGLegendStyle Lib "GSWAG32.DLL" (ByVal nVert%, ByVal nHoriz%, ByVal nSize%, ByVal nClr%, ByVal nMode%) As Integer
Declare Function AGOpen Lib "GSWAG32.DLL" () As Integer
Declare Function AGPatt Lib "GSWAG32.DLL" (ByVal nGroup%, nPatt%) As Integer
Declare Function AGRefresh3D Lib "GSWAG32.DLL" (ByVal nMode%) As Integer
Declare Function AGReset Lib "GSWAG32.DLL" () As Integer
Declare Function AGSetPerspective Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nRot%, ByVal nElev%, ByVal nEyePos%) As Integer
Declare Function AGShow Lib "GSWAG32.DLL" (ByVal nGType%, ByVal nStyle%, ByVal nStats%) As Integer
Declare Function AGSurfaceClr Lib "GSWAG32.DLL" (ByVal nClrMin%, ByVal nClrMax%, ByVal nClrSide%) As Integer
Declare Function AGSym Lib "GSWAG32.DLL" (ByVal nGroup%, nSym%) As Integer
Declare Function AGTimeGraph Lib "GSWAG32.DLL" (ByVal nPts%, ByVal nGroup%, ByVal fDataMax#, ByVal fDataMin#, ByVal nStyle%) As Integer
Declare Function AGTimeUpdate Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nGroup%, fData#) As Integer
Declare Function AGTitleBG Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nClr%) As Integer
Declare Function AGTitleG Lib "GSWAG32.DLL" (ByVal szTitle$) As Integer
Declare Function AGTitleX Lib "GSWAG32.DLL" (ByVal szTitle$) As Integer
Declare Function AGTitleY Lib "GSWAG32.DLL" (ByVal szTitle$) As Integer
Declare Function AGTitleYR Lib "GSWAG32.DLL" (ByVal szTitle$) As Integer
Declare Function AGXAxisStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nTicks%, ByVal nLabeEvery%, ByVal fMax#, ByVal fMin#) As Integer
Declare Function AGYAxisStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nTicks%, ByVal nLabeEvery%, ByVal fMax#, ByVal fMin#) As Integer
Declare Function AGYRAxisStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nTicks%, ByVal nLabeEvery%, ByVal fMax#, ByVal fMin#) As Integer
Declare Function AGZAxisStyle Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nTicks%, ByVal nLabeEvery%, ByVal fMax#, ByVal fMin#) As Integer
Declare Function GSArc Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fRad#, ByVal fAng1#, ByVal fAng2#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSArea Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fHt#, ByVal nMode%, ByVal nGroup%) As Integer
Declare Function GSArea3D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fHt#, ByVal fDepth#, ByVal fAng#, ByVal nMode%) As Integer
Declare Function GSArrow Lib "GSWDLL32.DLL" (ByVal fxA#, ByVal fya#, ByVal fxB#, ByVal fyB#, ByVal fHeadLen#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSAxis Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fLen#, ByVal fTickLen#, ByVal nMajDivs%, ByVal nMinDivs%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSBar2D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fSpace#, ByVal fStackHt#, ByVal nMode%, ByVal nGroup%) As Integer
Declare Function GSBar3D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fSpace#, ByVal fStackHt#, ByVal fDepth#, ByVal fAng#, ByVal nMode%, ByVal nGroup%) As Integer
Declare Function GSBox2D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal nPatt%, ByVal nClr%) As Integer
Declare Function GSBox3D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal fDepth#, ByVal fAng#, ByVal nPatt%, ByVal nClr1%, ByVal nClr2%) As Integer
Declare Function GSBoxWhisker Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fSpace#, ByVal nMode%) As Integer
Declare Function GSBubbleChart Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal nMode%) As Integer
Declare Function GSCage3D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fxLen#, ByVal fyLen#, ByVal fzLen#, ByVal fAng#, ByVal fThick#, ByVal nxGrid%, ByVal nyGrid%, ByVal nzGrid%, ByVal nMode%, ByVal nClr1%, ByVal nClr2%) As Integer
Declare Function GSCircle Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fRad#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSClearView Lib "GSWDLL32.DLL" (ByVal nMode%) As Integer
Declare Function GSClipRead Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal nFormat%, ByVal nMode%) As Integer
Declare Function GSClipWrite Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal nFormat%, ByVal nMode%) As Integer
Declare Function GSClosePrn Lib "GSWDLL32.DLL" () As Integer
Declare Function GSCloseServer Lib "GSWDLL32.DLL" () As Integer
Declare Function GSCloseView Lib "GSWDLL32.DLL" (ByVal nWin%, ByVal nView%, ByVal nMode%) As Integer
Declare Function GSCloseWin Lib "GSWDLL32.DLL" (ByVal nWin%) As Integer
Declare Function GSCurveFit Lib "GSWDLL32.DLL" (ByVal nType%, ByVal nOrder%, ByVal nSteps%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSDataAmp Lib "GSWDLL32.DLL" (ByVal nPts%, ByVal nGroup%, fAmp#) As Integer
Declare Function GSDataAmpErr Lib "GSWDLL32.DLL" (ByVal nP%, ByVal nG%, fAmpErr#) As Integer
Declare Function GSDataAux Lib "GSWDLL32.DLL" (ByVal nPts%, nAux%) As Integer
Declare Function GSDataClr Lib "GSWDLL32.DLL" (ByVal nPts%, nClr%) As Integer
Declare Function GSDataDim Lib "GSWDLL32.DLL" (ByVal nPts%, ByVal nGroup%) As Integer
Declare Function GSDataDist Lib "GSWDLL32.DLL" (ByVal nPts%, fDist#) As Integer
Declare Function GSDataDistErr Lib "GSWDLL32.DLL" (ByVal nP%, fDistErr#) As Integer
Declare Function GSDataGetAmp Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nGroup%) As Double
Declare Function GSDataGetAmpErr Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nGroup%, ByVal nMode%) As Double
Declare Function GSDataGetAux Lib "GSWDLL32.DLL" (ByVal nPt%) As Integer
Declare Function GSDataGetClr Lib "GSWDLL32.DLL" (ByVal nPt%) As Integer
Declare Function GSDataGetDist Lib "GSWDLL32.DLL" (ByVal nPt%) As Double
Declare Function GSDataGetDistErr Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nMode%) As Double
Declare Function GSDataGetPatt Lib "GSWDLL32.DLL" (ByVal nPt%) As Integer
Declare Function GSDataGetSym Lib "GSWDLL32.DLL" (ByVal nPt%) As Integer
Declare Function GSDataGetZ Lib "GSWDLL32.DLL" (ByVal nPt%) As Double
Declare Function GSDataPatt Lib "GSWDLL32.DLL" (ByVal nPts%, nPatt%) As Integer
Declare Function GSDataRange Lib "GSWDLL32.DLL" (ByVal nFirst%, ByVal nLast%) As Integer
Declare Function GSDataReset Lib "GSWDLL32.DLL" () As Integer
Declare Function GSDataScale Lib "GSWDLL32.DLL" (ByVal fScale#) As Integer
Declare Function GSDataStoreAmp Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nGroup%, ByVal fAmp#) As Integer
Declare Function GSDataStoreAmpErr Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nGroup%, ByVal fErrP#, ByVal fErrM#) As Integer
Declare Function GSDataStoreAux Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nAux%) As Integer
Declare Function GSDataStoreClr Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nClr%) As Integer
Declare Function GSDataStoreDist Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal fDist#) As Integer
Declare Function GSDataStoreDistErr Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal fErrP#, ByVal fErrM#) As Integer
Declare Function GSDataStorePatt Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nPatt%) As Integer
Declare Function GSDataStoreSym Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal nSym%) As Integer
Declare Function GSDataStoreZ Lib "GSWDLL32.DLL" (ByVal nPt%, ByVal fDataZ#) As Integer
Declare Function GSDataSym Lib "GSWDLL32.DLL" (ByVal nPts%, nSym%) As Integer
Declare Function GSDataTrans Lib "GSWDLL32.DLL" (ByVal nPts%, ByVal nGroup%, fA#, fD#, nPatt%, nSymbol%, nAux%, nClr%) As Integer
Declare Function GSDataZ Lib "GSWDLL32.DLL" (ByVal nPts%, fDataZ#) As Integer
Declare Function GSDefPatt Lib "GSWDLL32.DLL" (ByVal nBitmap%, wBitmap%) As Integer
Declare Function GSEllipse Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal fxA#, ByVal fya#, ByVal fxB#, ByVal fyB#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSErrorBar Lib "GSWDLL32.DLL" (ByVal nSel%, ByVal nSymStyle%, ByVal nClr%, ByVal nErrSrc%, ByVal fValue#, ByVal fOff#) As Integer
Declare Function GSFixPos Lib "GSWDLL32.DLL" (ByVal fx#, ByVal fy#) As Integer
Declare Function GSGantt Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal nMode%, ByVal nGroup%) As Integer
Declare Function GSGetACos Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetALog10 Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetALogE Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetASin Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetATan Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetAXExt Lib "GSWDLL32.DLL" (ByVal hWnd%) As Double
Declare Function GSGetAYExt Lib "GSWDLL32.DLL" (ByVal hWnd%) As Double
Declare Function GSGetBG Lib "GSWDLL32.DLL" () As Integer
Declare Function GSGetCC Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetCos Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetCurX Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetCurY Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetE Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetLog10 Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetLogE Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetMax Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetMean Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetMF Lib "GSWDLL32.DLL" (ByVal nMode%) As Integer
Declare Function GSGetMin Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetPi Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetPrnHt Lib "GSWDLL32.DLL" (ByVal nUnits%) As Double
Declare Function GSGetPrnWid Lib "GSWDLL32.DLL" (ByVal nUnits%) As Double
Declare Function GSGetRTextHt Lib "GSWDLL32.DLL" (ByVal nCset%, ByVal nMode%, ByVal szString$) As Double
Declare Function GSGetRTextWid Lib "GSWDLL32.DLL" (ByVal nCset%, ByVal nMode%, ByVal szString$) As Double
Declare Function GSGetSD Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetSFHt Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetSFWid Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetSin Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetSXExt Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetSYExt Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetTan Lib "GSWDLL32.DLL" (ByVal fVal#) As Double
Declare Function GSGetVer Lib "GSWDLL32.DLL" (ByVal nVer%) As Integer
Declare Function GSGetVXExt Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetVYExt Lib "GSWDLL32.DLL" () As Double
Declare Function GSGetWXExt Lib "GSWDLL32.DLL" (ByVal nMode%, ByVal nUnits%) As Double
Declare Function GSGetWYExt Lib "GSWDLL32.DLL" (ByVal nMode%, ByVal nUnits%) As Double
Declare Function GSGrid Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fAxisLen#, ByVal fGridLen#, ByVal nDivs%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSHLC Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSHotGraph Lib "GSWDLL32.DLL" (ByVal nMode%) As Integer
Declare Function GSLabelnPie Lib "GSWDLL32.DLL" (ByVal fxOff#, ByVal fRad#, ByVal fWid#, ByVal fHt#, ByVal nPrec%, ByVal nMode%, ByVal nCset%, ByVal nTMode%, ByVal nClr%) As Integer
Declare Function GSLabelnX Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fWid#, ByVal fHt#, ByVal fBaseVal#, ByVal fStepVal#, ByVal nPrec%, ByVal nNLabs%, ByVal nCset%, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSLabelnY Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fWid#, ByVal fHt#, ByVal fBaseVal#, ByVal fStepVal#, ByVal nPrec%, ByVal nNLabs%, ByVal nCset%, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSLineAbs Lib "GSWDLL32.DLL" (ByVal fxA#, ByVal fya#, ByVal fxB#, ByVal fyB#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSLineFit Lib "GSWDLL32.DLL" (ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSLineRel Lib "GSWDLL32.DLL" (ByVal fxr#, ByVal fya#, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSLinLog Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fBase#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSLoadRFont Lib "GSWDLL32.DLL" (ByVal nFamily%, ByVal nAttrib%, ByVal nSize%, ByVal nPitch%) As Integer
Declare Function GSLoadVFont Lib "GSWDLL32.DLL" (ByVal nFamily%, ByVal nAttrib%, ByVal nPitch%) As Integer
Declare Function GSLogAxis Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fLen#, ByVal fTickLen#, ByVal nCycles%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSLogGrid Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fAxisLen#, ByVal fGridLen#, ByVal nCycles%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSLogLin Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fCycleHt#, ByVal fBaseVal#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSLogLog Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fCycleHt#, ByVal fBaseY#, ByVal fCycleWid#, ByVal fBaseX#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSMClrRgn Lib "GSWDLL32.DLL" (ByVal nRgn%) As Integer
Declare Function GSMean Lib "GSWDLL32.DLL" (ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSMGetX Lib "GSWDLL32.DLL" () As Double
Declare Function GSMGetY Lib "GSWDLL32.DLL" () As Double
Declare Function GSMinMax Lib "GSWDLL32.DLL" (ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSMMotion Lib "GSWDLL32.DLL" () As Integer
Declare Function GSMNotify Lib "GSWDLL32.DLL" (ByVal hWnd%, ByVal nMsg%, ByVal nMode%) As Integer
Declare Function GSMovePos Lib "GSWDLL32.DLL" (ByVal fxr#, ByVal fya#, ByVal nMode%) As Integer
Declare Function GSMPtrOff Lib "GSWDLL32.DLL" () As Integer
Declare Function GSMPtrOn Lib "GSWDLL32.DLL" () As Integer
Declare Function GSMPtrType Lib "GSWDLL32.DLL" (ByVal nType%) As Integer
Declare Function GSMSetRgn Lib "GSWDLL32.DLL" (ByVal fxr#, ByVal fya#, ByVal nMode%, ByVal fAng#) As Integer
Declare Function GSMStatus Lib "GSWDLL32.DLL" () As Integer
Declare Function GSOffView Lib "GSWDLL32.DLL" (ByVal nWin%, ByVal nView%) As Integer
Declare Function GSOnView Lib "GSWDLL32.DLL" (ByVal nWin%, ByVal nView%) As Integer
Declare Function GSOpenChildWin Lib "GSWDLL32.DLL" (ByVal hWndParent%, ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal fyExt#, ByVal nStyle%, ByVal nMode%, ByVal szTitle$) As Integer
Declare Function GSOpenPrn Lib "GSWDLL32.DLL" (ByVal szDevice$, ByVal szFile$, ByVal nMode%) As Integer
Declare Function GSOpenServer Lib "GSWDLL32.DLL" (ByVal szKey$, ByVal szHost$) As Integer
Declare Function GSOpenView Lib "GSWDLL32.DLL" (ByVal nWin%, ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal fyExt#) As Integer
Declare Function GSOpenWin Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal fyExt#, ByVal nStyle%, ByVal nMode%, ByVal szTitle$) As Integer
Declare Function GSPicRead Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal nFormat%, ByVal nMode%, ByVal szFile$) As Integer
Declare Function GSPicWrite Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal nFormat%, ByVal nMode%, ByVal szFile$) As Integer
Declare Function GSPie2D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fRad#, ByVal nMode%) As Integer
Declare Function GSPie3D Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fRad#, ByVal fDepth#, ByVal fAng#, ByVal nMode%) As Integer
Declare Function GSPolar Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fAng#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSPolarAxes Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fRad#, ByVal nRadDivs%, ByVal nAngDivs%, ByVal nMode%, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSPolyFill Lib "GSWDLL32.DLL" (ByVal fxr#, ByVal fya#, ByVal nMode%, ByVal fAng#, ByVal nPatt%, ByVal nClr%) As Integer
Declare Function GSPolyVec Lib "GSWDLL32.DLL" (ByVal fxr#, ByVal fya#, ByVal nMode%, ByVal fAng#, ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSPrnOut Lib "GSWDLL32.DLL" (ByVal nView%, ByVal nNCopies%, ByVal nMode%) As Integer
Declare Function GSPrnSetup Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#, ByVal nUnits%, ByVal nMode%) As Integer
Declare Function GSRText Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal nCset%, ByVal nTMode%, ByVal nClr%, ByVal szString$) As Integer
Declare Function GSScatter Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSSD Lib "GSWDLL32.DLL" (ByVal nStyle%, ByVal nClr%) As Integer
Declare Function GSSelectPalette Lib "GSWDLL32.DLL" (ByVal nMode%) As Integer
Declare Function GSSetBG Lib "GSWDLL32.DLL" (ByVal nClr%) As Integer
Declare Function GSSetPal Lib "GSWDLL32.DLL" (ByVal nClr%, ByVal nR%, ByVal nG%, ByVal nB%) As Integer
Declare Function GSSetRFontFace Lib "GSWDLL32.DLL" (ByVal nFamily%, ByVal szFaceName$) As Integer
Declare Function GSSetROP Lib "GSWDLL32.DLL" (ByVal nROP%) As Integer
Declare Function GSSetVFontFace Lib "GSWDLL32.DLL" (ByVal nFamily%, ByVal szFaceName$) As Integer
Declare Function GSShade Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal nPatt%, ByVal nClr%) As Integer
Declare Function GSSizeSymbol Lib "GSWDLL32.DLL" (ByVal fDiam#) As Integer
Declare Function GSStatsArr Lib "GSWDLL32.DLL" (ByVal nIndex%) As Integer
Declare Function GSStatsWin Lib "GSWDLL32.DLL" (ByVal fxBL#, ByVal fyBL#, ByVal fxTR#, ByVal fyTR#) As Integer
Declare Function GSSymbol Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal nSymbol%, ByVal nClr%) As Integer
Declare Function GSTapeGraph Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fDepth#, ByVal fAng#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function GSTimeGraph Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal nPts%, ByVal nGroups%, ByVal nMode%) As Integer
Declare Function GSTimeUpdate Lib "GSWDLL32.DLL" (ByVal nMode%, ByVal nGroup%, fData#) As Integer
Declare Function GSUseView Lib "GSWDLL32.DLL" (ByVal nWin%, ByVal nView%) As Integer
Declare Function GSVText Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal fAng#, ByVal nCset%, ByVal nMode%, ByVal nClr%, ByVal szString$) As Integer
Declare Function GSWinHandle Lib "GSWDLL32.DLL" (ByVal nWindow%) As Integer
Declare Function GSWinNotify Lib "GSWDLL32.DLL" (ByVal hWnd%, ByVal nWM%, ByVal nEvents) As Integer
Declare Function GSWinPaint Lib "GSWDLL32.DLL" (ByVal nMode%) As Integer
Declare Function GSXDataScale Lib "GSWDLL32.DLL" (ByVal fScale#) As Integer
Declare Function GSXYGraph Lib "GSWDLL32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal nMode%, ByVal nClr%) As Integer
Declare Function VBAGDataLabels Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nLabs%, ByVal szLabs$) As Integer
Declare Function VBAGLabels Lib "GSWAG32.DLL" (ByVal nNLabs%, ByVal szLabs$) As Integer
Declare Function VBAGLabelY Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nLabs%, ByVal szLabs$) As Integer
Declare Function VBAGLabelZ Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nLabs%, ByVal szLabs$) As Integer
Declare Function VBAGLegend Lib "GSWAG32.DLL" (ByVal nNLegs%, ByVal szLegs$) As Integer
Declare Function VBGSDataLabels Lib "GSWAG32.DLL" (ByVal nMode%, ByVal nPrec%, ByVal nCset%, ByVal nTMode%, ByVal nClr%, ByVal fOff#, ByVal nLabs%, ByVal szLabs$) As Integer
Declare Function VBGSLabelPie Lib "GSWAG32.DLL" (ByVal fxOff#, ByVal fRad#, ByVal fWid#, ByVal fHt#, ByVal nNLabs%, ByVal nMode%, ByVal nCset%, ByVal nTMode%, ByVal nClr%, ByVal szLabs$) As Integer
Declare Function VBGSLabelX Lib "GSWAG32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fWid#, ByVal fHt#, ByVal nNLabs%, ByVal nCset%, ByVal nMode%, ByVal nClr%, ByVal szLabs$) As Integer
Declare Function VBGSLabelY Lib "GSWAG32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fInc#, ByVal fWid#, ByVal fHt#, ByVal nNLabs%, ByVal nCset%, ByVal nMode%, ByVal nClr%, ByVal szLabs$) As Integer
Declare Function VBGSLegend Lib "GSWAG32.DLL" (ByVal fxOrg#, ByVal fyOrg#, ByVal fWid#, ByVal fHt#, ByVal nNLeg%, ByVal nRows%, ByVal nMode%, ByVal nCset%, ByVal nTMode%, ByVal nTClr%, nBClr%, nBPatt%, ByVal szLegs$) As Integer

