VERSION 4.00
Begin VB.Form frmOlchPerform 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Olectra Chart 2D - Performance Test"
   ClientHeight    =   6435
   ClientLeft      =   2955
   ClientTop       =   1725
   ClientWidth     =   6060
   Height          =   6840
   Icon            =   "OC-PERF.frx":0000
   Left            =   2895
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   6435
   ScaleWidth      =   6060
   Top             =   1380
   Width           =   6180
   Begin VB.Frame frPoints 
      Caption         =   "Number of Points to Plot"
      Height          =   735
      Left            =   1200
      TabIndex        =   7
      Top             =   5640
      Width           =   3615
      Begin VB.OptionButton optPoints 
         Caption         =   "500"
         Height          =   255
         Index           =   3
         Left            =   2760
         TabIndex        =   11
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "250"
         Height          =   255
         Index           =   2
         Left            =   1920
         TabIndex        =   10
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "100"
         Height          =   255
         Index           =   1
         Left            =   1080
         TabIndex        =   9
         Top             =   360
         Width           =   735
      End
      Begin VB.OptionButton optPoints 
         Caption         =   "50"
         Height          =   255
         Index           =   0
         Left            =   240
         TabIndex        =   8
         Top             =   360
         Value           =   -1  'True
         Width           =   735
      End
   End
   Begin VB.CommandButton cmdStart 
      Caption         =   "&Start"
      Height          =   615
      Left            =   45
      TabIndex        =   2
      Top             =   5760
      Width           =   930
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   615
      Left            =   5040
      TabIndex        =   1
      Top             =   5760
      Width           =   975
   End
   Begin VB.Label lblTotalLoops 
      Caption         =   "0"
      Height          =   255
      Left            =   4080
      TabIndex        =   6
      Top             =   5280
      Visible         =   0   'False
      Width           =   495
   End
   Begin VB.Label lblTLoops 
      Alignment       =   1  'Right Justify
      Caption         =   "Total Iterations:  "
      Height          =   255
      Left            =   2880
      TabIndex        =   5
      Top             =   5280
      Visible         =   0   'False
      Width           =   1200
   End
   Begin VB.Label lblElapsed 
      Alignment       =   1  'Right Justify
      Caption         =   "Elapsed Time:  "
      Height          =   255
      Left            =   1250
      TabIndex        =   4
      Top             =   5280
      Width           =   1200
   End
   Begin VB.Label lblElapsedTime 
      Caption         =   "0"
      Height          =   255
      Left            =   2450
      TabIndex        =   3
      Top             =   5280
      Width           =   255
   End
   Begin OlectraChart2D.Chart2D Chart 
      Height          =   5130
      Left            =   45
      TabIndex        =   0
      Top             =   45
      Width           =   5970
      _version        =   65537
      _revision       =   3
      _extentx        =   10530
      _extenty        =   9049
      _stockprops     =   4
      controlproperties=   "OC-PERF.frx":0442
   End
End
Attribute VB_Name = "frmOlchPerform"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
'**********************************************************************
'* (c) Copyright 1996, KL GROUP INC.                                  *
'* ALL RIGHTS RESERVED                                                *
'*                                                                    *
'* This file is provided for demonstration and educational uses only. *
'* Permission to use, copy, modify and distribute this file for       *
'* any purpose and without fee is hereby granted, provided that the   *
'* above copyright notice and this permission notice appear in all    *
'* copies, and that the name of KL Group not be used in advertising   *
'* or publicity pertaining to this material without the specific,     *
'* prior written permission of an authorized representative of        *
'* KL Group.                                                          *
'*                                                                    *
'* KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-   *
'* PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT     *
'* NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND      *
'* FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-   *
'* FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE  *
'* SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR    *
'* ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY     *
'* LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES          *
'* RELATING TO THE USE OF THIS SOFTWARE.                              *
'**********************************************************************
Option Explicit
  
Dim ArraySize As Integer                ' Sets the number of points to plot
Const NumSets As Integer = 3            ' Sets the number of data sets

Const AngleIncrement As Single = 0.25   ' Value to increase the plot by each time
Const PI As Single = 3.14159264         ' The one and only PI

Dim TotalLoops As Long                  ' Track how many times through the loop
Sub DrawPoints()
' Draws the points on the Graph
   
Static x As Integer                 ' A counter
   
Static DataAngle#                   ' Value for calculating the graph data
Dim TotalTime As Integer            ' Values for tracking the amount of time that has passed
Dim StartTime As String
Dim CurrentTime As String

DataAngle = 0                       ' Start the values at zero
TotalLoops = 0
   
StartTime = Now                     ' Get the current time
cmdStart.Enabled = False            ' Disable the buttons on the form
cmdExit.Enabled = False
frPoints.Enabled = False
optPoints(0).Enabled = False
optPoints(1).Enabled = False
optPoints(2).Enabled = False
optPoints(3).Enabled = False
lblTotalLoops.Visible = False       ' Ensure the info about looping is hidden
lblTLoops.Visible = False

While TotalTime < 60                ' Keep looping until 60 seconds has passed

    Chart.IsBatched = True          ' Batch all the updates to the chart
    
    ' Set the minimum value for the X-Axis
    Chart.ChartArea.Axes("x").Min = DataAngle
    
    With Chart.ChartGroups(1).Data
        For x = 1 To ArraySize      ' Loop through all the points to be drawn
      
            DataAngle = DataAngle + AngleIncrement      ' Set the new value to use
            
            ' These lines actually put the data into the chart
            .x(1, x) = DataAngle
            .y(1, x) = Sin(DataAngle)
            .y(2, x) = Sin(DataAngle + PI / 2)
            .y(3, x) = Sin(DataAngle - PI / 2)
        Next x
    End With
    
    TotalLoops = TotalLoops + 1     ' Increment the counter
        
    ' Set the maximum value for the X-Axis
    Chart.ChartArea.Axes("x").Max = DataAngle
  
    Chart.IsBatched = False         ' Let the chart update now

    CurrentTime = Now               ' Get the current time
    TotalTime = DateDiff("s", StartTime, CurrentTime)   ' Get the difference from when we started
    lblElapsedTime = TotalTime      ' Display the elapsed time
    lblElapsedTime.Refresh
       
Wend

cmdStart.Enabled = True             ' Re-enable the buttons
cmdExit.Enabled = True
frPoints.Enabled = True
optPoints(0).Enabled = True
optPoints(1).Enabled = True
optPoints(2).Enabled = True
optPoints(3).Enabled = True
lblTotalLoops = TotalLoops          ' Display the number of times we made it through the loop
lblTLoops.Visible = True
lblTotalLoops.Visible = True

End Sub
Private Sub cmdExit_Click()
' End the program

Unload Me

End Sub
Private Sub cmdStart_Click()
' Draw the points on the graph

DrawPoints

End Sub
Private Sub Form_Load()
' It all starts here

' Start with the form in the upper left hand corner
frmOlchPerform.Top = 0
frmOlchPerform.Left = 0

' Setup the chart
optPoints_Click (0)

End Sub
Private Sub Form_Unload(Cancel As Integer)
' End the program

End

End Sub
Private Sub optPoints_Click(Index As Integer)
' The user has chosen to select the number of points to draw

Select Case Index
    Case 0
        ArraySize = 50
    Case 1
        ArraySize = 100
    Case 2
        ArraySize = 250
    Case 3
        ArraySize = 500
End Select

' Setup the chart itself
With Chart.ChartGroups(1).Data
    .IsBatched = True               ' Keep it all hidden until we are ready to show the results
    .Layout = oc2dDataArray         ' Sets the Chart Layout for General Data Input
    .NumSeries = NumSets            ' We are just using one series of Data
    .NumPoints(1) = ArraySize       ' Sets the total number of points to show on the chart at one time
    .IsBatched = False              ' Letting the chart do regular updates again
End With

End Sub
